addpath('data')
addpath('mex&mfile')

% If you view your own mesh with color, please run the following line for the texture:
% mean_curv = mean_curvature(v,f);

% If you wish to view the meshes without texture, please use the following:
% plot_mesh(v',f');

%% Example 1: Chinese Lion

load('lion.mat');


plot_mesh(v',f',mean_curv); view([0 90]);
title('Input Mesh')

vmap = lineardiskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([-130 90]);
title('Linear Disk Conformal Parameterization of the Input Mesh')

%% Example 2: Bunny

load('bunny.mat')

plot_mesh(v',f',mean_curv); view([0 90]);
title('Input Mesh')

vmap = lineardiskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([180 90]);
title('Linear Disk Conformal Parameterization of the Input Mesh')

%% Example 3: Hand

load('hand.mat')

plot_mesh(v',f',mean_curv); view([40 70]);
title('Input Mesh')

vmap = lineardiskmap(v,f);

plot_mesh(vmap',f',mean_curv); view([0 90]);
title('Linear Disk Conformal Parameterization of the Input Mesh')
